# Module: `menubar.index_theme`

(Deprecated) class module for parsing an index.theme file

### Info:

- Copyright: 2015 Kazunobu Kuriyama
- Originally authored by: Kazunobu Kuriyama
  (Full contributors list available on our github project)

## Deprecated functions

menubar.index_theme.new (cls, icon_theme_name, base_directories) | Class constructor of index_theme | Deprecated
:get_subdirectories () | Table of the values of the `Directories` key | Deprecated
:get_inherits () | Table of the values of the `Inherits` key | Deprecated
:get_per_directory_keys (subdirectory) | Query (part of) per-directory keys of a given subdirectory name. | Deprecated

## Deprecated functions

🔗 menubar.index_theme.new (cls, icon_theme_name, base_directories)
  Class constructor of index_theme

  ### Parameters:

  Name |  | Type(s) | Description
  --- | --- | --- | ---
  cls |  | table | Metatable that will be used. Should always be `index_theme.mt`.
  icon_theme_name |  | string | Internal name of icon theme
  base_directories |  | table | Paths used for lookup

  ### Returns:

  table An instance of the class index_theme
🔗 :get_subdirectories ()
  Table of the values of the `Directories` key

  ### Returns:

  table Values of the `Directories` key
🔗 :get_inherits ()
  Table of the values of the `Inherits` key

  ### Returns:

  table Values of the `Inherits` key
🔗 :get_per_directory_keys (subdirectory)
  Query (part of) per-directory keys of a given subdirectory name.

  ### Parameters:

  Name |  | Type(s) | Description
  --- | --- | --- | ---
  subdirectory |  | table | Icon theme's subdirectory

  ### Returns:

  1. string Value of the `Type` key
  2. number Value of the `Size` key
  3. number VAlue of the `MinSize` key
  4. number Value of the `MaxSize` key
  5. number Value of the `Threshold` key

generated by LDoc 1.5.0